## localeconf 0.9.2

=== debian/changelog ===
localeconf (0.9.2) unstable; urgency=high

  * configlet/main.py: Apply patch from Richard Hirst to set localeconf/lang
    template to "C" if it's blank in the debconf database.
  * debian/localeconf.templates.ca: added Catalan template translations
    (thanks, Antoni Bella) (Closes: #139741)

 -- Branden Robinson <branden@progeny.com>  Wed, 10 Apr 2002 11:44:00 -0500

localeconf (0.9.1) unstable; urgency=high

  * urgency artificially inflated because the version of localeconf in testing
    is a month old (0.6), and many bugs have been fixed since then
  * configlet/main.py: De-register "locales" as a package that this configlet
    configures.  locales will rudely clobber our changes to /etc/environment
    and /etc/locale.gen, and we don't need to run its postinst anyway.

 -- Branden Robinson <branden@progeny.com>  Thu,  4 Apr 2002 13:44:03 -0500

localeconf (0.9) unstable; urgency=low

  * configlet/main.py: catch exception if the list of supported locales cannot
    be opened
  * debian/control: add dependency on locales since this package is next to
    useless without it

 -- Branden Robinson <branden@progeny.com>  Fri, 29 Mar 2002 16:01:34 -0500

localeconf (0.8) unstable; urgency=low

  * debian/localeconfig.{config,postinst}: Move the "db_fset
    localeconf/backup_existing_nondebconf_config seen false" to where it makes
    more sense, after we've actually written the files.  This way the user
    doesn't run the risk of getting re-asked this question in the postinst, if
    the package was preconfigured.  (Closes: #129151)

 -- Branden Robinson <branden@progeny.com>  Tue, 19 Mar 2002 16:43:55 -0500

localeconf (0.7) unstable; urgency=low

  * debian/localeconf.config: add message() function
  * debian/localeconf.postinst: remove -n option from a couple of sed
    invocations, causing the portion of the file after the localeconf section
    to be discarded (Closes: #139019)
  * debian/localeconf.templates:
    - fix typo in template description (thanks, Antoni Bella)
      (Closes: #138850)
    - wording change in template description (thanks, Manuel Estrada Sainz)
      (Closes: #137417)
  * debian/localeconf.templates.ru: added Russian template translations;
    however, these are not quite up to date (thanks, Ilgiz Kalmetev)
    (Closes: #135842)

 -- Branden Robinson <branden@progeny.com>  Tue, 19 Mar 2002 12:02:26 -0500

localeconf (0.6) unstable; urgency=low

  * Made configuration file handling super-paranoid.  (Closes: #133947)
  * configlet/{localeconf-strings.h,main.glade}: Change "simple" keyboard
    setting to "language layout".
  * configlet/main.py:
    - Temporary hack: populate advanced language combo boxes using the locales
      package's SUPPORTED file until Configlet 2.0 comes out and we can just
      grab the Choices field
    - New variable, self.locale_list, which contains the options for the
      advanced language combo boxes.  Legal values include "C" and all
      the stuff from the SUPPORTED file.
    - Add docstrings for several methods.
    - Added comments, reformatted some comments, and added some XXX where
      needed.
    - Recognize new localeconf/select_lc_vars template.
    - Remove dead, commented-out code.
    - Use a clever regex to set all the self.lc_* variables.
    - % (foo) -> % (foo,)
    - Only write advanced language templates if self.use_lang is NOT set, and
      the templates are not set to a null value.
    - Set the new localeconf/select_lc_vars template based on self.use_lang
      and which advanced templates aren't null or set to the same thing as
      self.lang.
  * debian/localeconf.templates:
    - New template: localeconf/select_lc_vars, which permits the user to
      explicitly select which LC variables he wants to override LANG.
      (Closes: #129015)
    - Change default on localeconf/lc_* templates from "C" to be the same as
      localeconf/lang.
  * debian/localeconf.config:
    - Code condensation: new function, find_debconf_markers(), which determine
      whether a config file has debconf droppings in it.
    - Code condensation: change ASK_TO_REPLACE variable to FILES_TO_REPLACE.
    - Look for locales 2.2.5-3's preferred location for the SUPPORTED file
      first.
    - New handling of LC_* variable templates:
      + See which LC templates contain values different from LANG and pre-load
        select_lc_vars with that list.
      + Ask user which LC_* variables should override LANG, then ask user for
        the selected overrides (if any).
      + For LC vars that are in select_lc_vars, have the answer default to
        whatever LANG is. (Closes: #133526)
      + Finally, iterate through LC vars that aren't in select_lc_vars, set
        them to LANG and mark them unseen.
    - Added debugging messages when DEBCONF_DEBUG is set.
  * debian/localeconf.postinst:
    - Code condensation: function find_localeconf_markers () which locates
      localeconf droppings in configuration files.
    - Code condensation: only prepare LC variable information for those LC_*
      variables listed in the localeconf/select_lc_vars template.
    - Cooperate better with stuff in locale.gen file that comes from the
      locales package. (Closes: #1310136,#133080)
    - Improved code for detecting whether locale-gen should be run.
    - Don't write locales that already exist in the locale.gen file, outside
      the localeconf section.
    - Added debugging messages when DEBCONF_DEBUG is set.
  * debian/localeconf.postrm:
    - Code condensation: new function find_localeconf_markers (), which works
      just like the one in the postinst.
    - Improve test for determining whether locale-gen should be run.

 -- Branden Robinson <branden@progeny.com>  Tue,  5 Mar 2002 13:46:41 -0500

localeconf (0.5) unstable; urgency=low

  * The locales package moved SUPPORTED to /usr/share/i18n; check for
    it there as well as in the old location.  Closes: #132304.


