=== debian/control ===
Source: localeconf
Section: misc
Priority: optional
Maintainer: Progeny Debian Packaging Team <debian-packages@progeny.com>
Build-Depends-Indep: debhelper
Standards-Version: 3.5.6

Package: localeconf
Architecture: all
Depends: locales, debconf (>= 0.5)
Description: debconf interface to locale configuration
 This package provides a debconf-based interface to configuring the
 system-wide locale settings on your system.
