## localeconf 0.9.4

=== debian/changelog ===
localeconf (0.9.4) unstable; urgency=low

  * configlet/main.py:
    - Auto-answer localeconf's and the configured X server's
      manage_config_with_debconf and backup_existing_nondebconf_config
      questions with "true".
    - Uhm, let's attach the keyboard_list to the keyboard_optionmenu
      and the language_list to the language_optionmenu...and not the
      other way around.
    - Update debugging messages.
  * debian/control: add Uploaders field and put myself in it

 -- Branden Robinson <branden@progeny.com>  Wed,  5 Jun 2002 12:42:29 -0500

localeconf (0.9.3) unstable; urgency=medium

  * configlet/main.py:
    - fix error "self.self."... (Closes: #143200)
    - added some debugging messages and corrected some operational bugs with
      the advanced locale handling
  * debian/control: add Suggests: configlet-frontends
  * debian/localeconf.templates.ca: updated Catalan template translations
    (thanks, Antoni Bella) (Closes: #142787)

 -- Branden Robinson <branden@progeny.com>  Wed, 24 Apr 2002 18:27:43 -0500
