## localeconf 0.9.4.1

=== debian/changelog ===
localeconf (0.9.4.1) unstable; urgency=low

  * Non-maintainer upload
  * Switched to po-debconf. (closes: #206368)
  * Fixed typo in debconf templates (LC_MESSEGS). (closes: #263062)
  * Added Czech debconf template translation.
  * Added German debconf template translation.
  * Added Spanish debconf template translation.
  * Added French debconf template translation. (closes: #303447)
  * Added Norwegian Bokmål debconf template translation.
  * Added Brazilian Portuguese debconf template translation. (closes: #303959)
  * Added Danish debconf template translation.

 -- Lucas Wall <lwall@debian.org>  Tue, 12 Apr 2005 11:01:29 -0300
