=== debian/control ===
Source: localeconf
Section: misc
Priority: optional
Maintainer: Progeny Debian Packaging Team <debian-packages@progeny.com>
Uploaders: Branden Robinson <branden@progeny.com>
Build-Depends-Indep: debhelper (>= 4.1.16)
Standards-Version: 3.5.6

Package: localeconf
Architecture: all
Depends: locales, debconf (>= 1.2.0)
Suggests: configlet-frontends
Description: debconf interface to locale configuration
 This package provides a debconf-based interface to configuring the
 system-wide locale settings on your system.
