=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,7 @@
 	rm -f build-stamp configure-stamp
 
 	dh_clean
+	debconf-updatepo
 
 install: build
 	dh_testdir
